/// <reference types="node" />
import { Server } from "http";
import { Project, Scheduler } from "@microlambda/core";
import { IEventLog, SchedulerStatus, ServiceStatus, TranspilingStatus, TypeCheckStatus } from "@microlambda/types";
import { Workspace } from "@microlambda/runner-core";
import { EventsLog } from "@microlambda/logger";
export declare class IOSocketManager {
    private _io;
    private _serviceToListen;
    private _scheduler;
    private _graph;
    private _graphUpdated$;
    constructor(port: number, server: Server, scheduler: Scheduler, logger: EventsLog, graph: Project);
    private _handleRunCommandEvent;
    private _graphUpdated;
    statusUpdated(node: Workspace, status: ServiceStatus): void;
    transpilingStatusUpdated(node: Workspace, status: TranspilingStatus): void;
    typeCheckStatusUpdated(node: Workspace, status: TypeCheckStatus): void;
    eventLogAdded(log: IEventLog): void;
    handleServiceLog(service: string, data: string): void;
    handleTscLogs(node: string, data: string): void;
    schedulerStatusChanged(status: SchedulerStatus): void;
}
